Matrix of supported platforms, runtimes and technologies in JBossTools & JBDS

    Note: this page is as up to date & accurate as possible, but is subject to change. See also https://access.redhat.com/articles/427493.

     

    Platforms, Runtimes & Technologies

    The following matrix shows what versions of platforms, runtimes and technologies are supported by JBoss Tools & JBDS. For more, see https://access.redhat.com/articles/427493.

     

    EclipseJBoss ToolsJBDSEAPSOA-P §AS / WildFlySeamJSF

    RichFaces (the latest supported version)

    4.4.2/Luna4.2.38.14.3, 5.0, 6.0, 6.1, 6.2, 6.3

    4.x, 5.2, 5,3, 6.0

    3.2, 4.0, 4.2, 5.0, 5.1, 6.0, 6.1, 7.0, 7.1, 8.0, 8.1 (WildFly)1.2, 2.0, 2.1, 2.2, 2.31.1, 1.2, 2.03.3.x, 4.0.x
    4.4/Luna4.2.28.04.3, 5.0, 6.0, 6.1, 6.2, 6.3

    4.x, 5.2, 5,3, 6.0

    3.2, 4.0, 4.2, 5.0, 5.1, 6.0, 6.1, 7.0, 7.1, 8.0, 8.1 (WildFly)1.2, 2.0, 2.1, 2.2, 2.31.1, 1.2, 2.03.3.x, 4.0.x
    4.3/Kepler4.1.17.14.3, 5.0, 6.0, 6.1, 6.2

    4.x, 5.2, 5.3, 6.0

    3.2, 4.0, 4.2, 5.0, 5.1, 6.0, 7.0, 8.0 (WildFly)1.2, 2.0, 2.1, 2.2, 2.31.1, 1.2, 2.03.3.x, 4.0.x
    4.3/Kepler4.1.07.04.3, 5.0, 6.0, 6.1

    4.x, 5.2, 5.3, 6.0

    3.2, 4.0, 4.2, 5.0, 5.1, 6.0, 7.0, 8.0 (WildFly)1.2, 2.0, 2.1, 2.2, 2.31.1, 1.2, 2.03.3.x, 4.0.x
    4.2/Juno4.06.04.3, 5.0, 6.0

    4.x, 5.2, 5.3, 6.0 Alpha2

    3.2, 4.0, 4.2, 5.0, 5.1, 6.0, 7.01.2, 2.0, 2.1, 2.2, 2.31.1, 1.2, 2.03.3.x, 4.0.x
    3.7/Indigo3.35.04.3, 5.0, 6.04.x, 5.2, 5.33.2, 4.0, 4.2, 5.0, 5.1, 6.0, 7.01.2, 2.0, 2.1, 2.2, 2.31.1, 1.2, 2.03.3.x, 4.0.x
    3.6/Helios3.24.x4.3, 5.04.x, 5.23.2, 4.0, 4.2, 5.0, 5.1, 6.01.2, 2.0, 2.1, 2.21.1, 1.2, 2.03.3.x
    3.5/Galileo3.13.04.3, 5.0?3.2, 4.0, 4.2, 5.0, 5.11.2, 2.0, 2.1, 2.21.1, 1.2, 2.0 (in VPE)3.3.x
    3.4/Ganymede3.02.14.3, 5.0?3.2, 4.0, 4.2, 5.01.2, 2.0, 2.1, 2.21.1, 1.23.3.1
    3.3.2/Europa2.1.21.14.3?3.2, 4.0, 4.2, 5.01.2, 2.01.1, 1.23.3.0
    3.3.1.1/Europa2.0.11.04.2?3.2, 4.0, 4.21.2, 2.01.1, 1.23.1.0

    § -  SOA-P is based on EAP.

     

    Operating Systems & JDKs

    This matrix shows what operating systems and JDKs are supported by Eclipse, JBoss Tools & JBDS.

     

    JDKs Supported by EclipseJBoss ToolsJBDSOperating SystemJDK

    Includes Visual Page Editor?

    4.4/Luna

    Win7/8 & RHEL6/7[10]: JDK8, 7 or 6¥ [11]

    OSX: JDK 8 or 7 - Details or Details

    ¥ Forge 2 will not run with JDK 6

    [12] - Eclipse does not test with OSX 10.8, 10.10 or RHEL 7

    [11] -Deployment to JDK 6 only; tooling will not run there.

    4.2.38.1Windows 7 or 8, 64-bit8, 7 or 6¥, 32-bitYes
    Windows 7 or 8, 64-bit8, 7 or 6¥, 64- or 32-bitYes, using 32-bit JDK only
    RHEL6 or Fedora, 32-bit8, 7 or 6¥[11], 32-bitYes
    RHEL6, 7[12] or Fedora, 64-bit8, 7 or 6¥[11], 64- or 32-bitYes
    OSX 10.8, 10.9, 10.10 Cocoa[12], 32-bit8 or 7, 32-bitYes
    OSX 10.8, 10.9, 10.10 Cocoa[12], 64-bit8 or 7, 64- or 32-bit

    Yes, using 32-bit JDK only - Details

    4.4/Luna

    Win7/8 & RHEL6/7[10]: JDK8, 7 or 6¥ [11]

    OSX: JDK 8 or 7 - Details or Details

    ¥ Forge 2 will not run with JDK 6

    [10] - Eclipse does not test with OSX 10.8 or RHEL 7

    [11] -Deployment to JDK 6 only; tooling will not run there.

    4.2.0 - 4.2.28.0Windows 7 or 8, 64-bit8, 7 or 6¥, 32-bitYes
    Windows 7 or 8, 64-bit8, 7 or 6¥, 64- or 32-bitYes, using 32-bit JDK only
    RHEL6 or Fedora, 32-bit8, 7 or 6¥[11], 32-bitYes
    RHEL6, 7[10] or Fedora, 64-bit8, 7 or 6¥[11], 64- or 32-bitYes
    OSX 10.8 - 10.9 Cocoa[10], 32-bit8 or 7, 32-bitYes
    OSX 10.8 - 10.9 Cocoa[10], 64-bit8 or 7, 64- or 32-bit

    Yes, using 32-bit JDK only - Details

    4.3/Kepler

    Win7 & RHEL6: JDK 7 or 6

    OSX: JDK 7 - Details

    *** - Eclipse only supports Win7

    [9] - Eclipse only supports OSX 10.8

    4.17.xWindows 7 or 8***, 32-bit7 or 6, 32-bitYes
    Windows 7 or 8***, 64-bit7 or 6, 64- or 32-bitYes, using 32-bit JDK only
    RHEL6 or Fedora, 32-bit7 or 6, 32-bitYes
    RHEL6 or Fedora, 64-bit7 or 6, 64- or 32-bitYes
    OSX 10.8 or 10.9 Cocoa[9], 32-bit7, 32-bitYes
    OSX 10.8 or 10.9 Cocoa[9], 64-bit7, 64- or 32-bit

    Yes, using 32-bit JDK only - Details

    4.2/Juno

    Win7, WinXP & RHEL6: JDK 7 or 6

    Others: JDK 6 - Details

    *** - Eclipse.org only tested on Win7 and WinXP

    ** - Eclipse.org only tested on OS X 10.6

    4.06.0Windows XP, 7 or 8***, 32-bit7 or 6, 32-bitYes
    Windows XP, 7 or 8***, 64-bit7 or 6, 64- or 32-bitYes, using 32-bit JDK only
    RHEL6 or Fedora, 32-bit7 or 6, 32-bitYes
    RHEL6 or Fedora, 64-bit7 or 6, 64- or 32-bitYes
    OSX 10.6 - 10.8** Cocoa, 32-bit6, 32-bitYes
    OSX 10.6 - 10.8** Cocoa, 64-bit6, 64- or 32-bit

    Yes, using 32-bit JDK only - Details

    3.7/Indigo

    JDK 6 - Details

    * - Eclipse.org only tested on OS X 10.6

    3.35.0

    Windows XP or 7, 32-bit

    6, 32-bitYes
    Windows XP or 7, 64-bit6, 64- or 32-bitYes, using 32-bit JDK only
    RHEL6 or Fedora, 32-bit6, 32-bitYes
    RHEL6 or Fedora, 64-bit6, 64- or 32-bitYes
    OSX 10.6 - 10.7* Cocoa, 32-bit6, 32-bitYes
    OSX 10.6 - 10.7* Cocoa, 64-bit6, 64- or 32-bit

    Yes, using 32-bit JDK only - Details

    3.6/Helios

    WinXP and RHEL5: JDK 6 or 5

    Others: JDK5 - Details

    3.24.x

    Windows XP 32-bit

    6 or 5, 32-bitYes
    RHEL5 or Fedora, 32-bit6 or 5, 32-bitYes
    RHEL5 or Fedora, 64-bit6 or 5, 64- or 32-bitYes
    OSX 10.5 or 10.6 Cocoa, 32-bit5, 32-bitYes
    OSX 10.5 or 10.6 Cocoa, 64-bit5, 64- or 32-bitYes, using 32-bit JDK only - Details

    3.5/Galileo

    WinXP and RHEL5: JDK 6 or 5

    Others: JDK5 - Details

    3.13.0

    Windows XP 32-bit

    6 or 5, 32-bitYes
    RHEL5 or Fedora, 32-bit6 or 5, 32-bitYes
    RHEL5 or Fedora, 64-bit6 or 5, 64- or 32-bitYes
    OSX 10.5 Carbon or Cocoa, 32-bit5, 32-bitYes

    3.4/Ganymede

    WinXP: JDK 6 or 5

    Others: JDK 5 - Details

    3.02.1

    Windows XP 32-bit

    6 or 5, 32-bitYes
    Linux, 32-bit5, 32-bitYes
    Linux, 64-bit5, 64- or 32-bitYes
    OSX 10.5 Carbon, 32-bit5, 32-bitYes

    3.3/Europa

    JDK 5 - Details

    2.x1.x

    Windows XP 32-bit

    5, 32-bitYes
    Linux, 32-bit5, 32-bitYes
    Linux, 64-bit5, 64- or 32-bitYes
    OSX 10.4 Carbon, 32-bit5, 32-bitYes

     

    Requirements, Target Platforms, JBoss Central & Extras

     

    For details regarding target platforms, or the contents of JBoss Central / Extras, see these links.

     

     

    Requirements Tracker JIRAJBoss Tools
    Target Platform Definition
    JBDS
    Target Platform Definition
    JBoss Central
    Target Platform Definition
    JBoss Tools 4.2.0 / JBDS 8.04.41.x4.41.x4.41.x
    JBoss Tools 4.1.1 / JBDS 7.14.32.x4.32.x4.31.x
    JBoss Tools 4.1.0 / JBDS 7.04.30.x4.30.x4.31.x
    JBoss Tools 4.0.0 / JBDS 6.04.22.x4.22.xn/a - see details
    JBoss Tools 3.3.0 / JBDS 5.0n/a - see READMEn/a - see READMEn/a - see details